

.weightContainer {
  display: grid;
  grid-template-areas: 'weightHeading weightHeading'
  'weightPic weightPic'
  'stones pounds'
  'kg kg'
  'swapUnit swapUnit'
  'checkButton checkButton';

  width: 50%;
  margin: 0 auto;
  padding-top: 80px;
  align-content: center;
  justify-content: center;
}

.weightHeading {
  grid-area: weightHeading;
  color: #29ABE2;
  text-align: center;
  margin-bottom: 20px;
}

.weightPicDiv {
  grid-area: weightPic;
  margin: auto;
  padding-bottom: 20px;
}

.weightImage {
  width: 100%;
  height: auto;
}

.stonesInput {
  grid-area: stones;
  margin: 10px;
}

.stonesInput .inputField {
  float: right;
}

.poundsInput {
  grid-area: pounds;
  margin: 10px;
}

.poundsInput .inputField {
  float: left;
}

.kgInput {
  grid-area: kg;
  margin: 10px;
}
.kgInput .inputField2 {
  float: right;
}

.swapUnit {
  grid-area: swapUnit;
  margin: auto;
}

.miniMatButton {
  background-color: #29ABE2;
}


.heightCheck {
  padding: 30px;
  grid-area: checkButton;
  margin-right: auto;
  margin-left: auto;
}
.heightCheck .matButton {
  background-color: yellowgreen;
}

